Authentication
Here, you will find information on endpoints related to token-based authentication, ensuring secure and protected access to our cloud software API.
Authenticates the user's credentials and, upon successful verification, issues an access token that can be used to authorize subsequent requests made to the API
post
Body
userNameOrEmailAddressstring · min: 1 · max: 256Required
passwordstring · min: 1 · max: 128Required
twoFactorVerificationCodestring · nullableOptional
rememberClientbooleanOptional
twoFactorRememberClientTokenstring · nullableOptional
singleSignInboolean · nullableOptional
returnUrlstring · nullableOptional
captchaResponsestring · nullableOptional
Responses
200
Success
accessTokenstring · nullableOptional
encryptedAccessTokenstring · nullableOptional
expireInSecondsinteger · int32Optional
shouldResetPasswordbooleanOptional
passwordResetCodestring · nullableOptional
userIdinteger · int64Optional
requiresTwoFactorVerificationbooleanOptional
twoFactorAuthProvidersstring[] · nullableOptional
twoFactorRememberClientTokenstring · nullableOptional
returnUrlstring · nullableOptional
refreshTokenstring · nullableOptional
refreshTokenExpireInSecondsinteger · int32Optional
cstring · nullableOptional
post
/api/TokenAuth/Authenticate200
Success
Query parameters
refreshTokenstringOptional
Responses
200
Success
accessTokenstring · nullableOptional
encryptedAccessTokenstring · nullableOptional
expireInSecondsinteger · int32Optional
post
/api/TokenAuth/RefreshToken200
Success
Last updated